%define piname	aisradar_pi
%define uname	radar_pi

Name:		opencpn-ais-radar-plugin
Summary:	AIS radar view plugin for OpenCpn
Version:	1.0
Release:	%mkrel 4
License:	GPLv2
Group:		Geography
URL:		https://github.com/Verezano/%{uname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{uname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Implements a radar-like display for AIS targets

%prep
%setup -q -n %{uname}

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so


%changelog
* Sat Jun 03 2017 akien <akien> 1.0-4.mga6
+ Revision: 1106106
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.0-3.mga6
+ Revision: 1019826
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 1.0-2.mga6
+ Revision: 962305
- changed buildrequire wxgtku3.0

* Tue Dec 08 2015 barjac <barjac> 1.0-1.mga6
+ Revision: 908762
- new package opencpn-ais-radar-plugin

